Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.ui.metadatatab.imports
Class ImportsTableModel

    java.lang.Object
      javax.swing.table.AbstractTableModel
          edu.stanford.smi.protegex.owl.ui.metadatatab.imports.ImportsTableModel

All Implemented Interfaces:
  edu.stanford.smi.protege.util.Disposable, Serializable, TableModel

    public class ImportsTableModel

extends AbstractTableModel
implements edu.stanford.smi.protege.util.Disposable

Author:
  Holger Knublauch TT: This class does not seems to be used anymore. Consider for clean-up.
See Also:
  Serialized Form

Field Summary
`static int` | `COL_COUNT`
`static int` | `COL_URI`

Fields inherited from class javax.swing.table.AbstractTableModel
`listenerList`

Constructor Summary
`ImportsTableModel(OWLOntology ontology)`

Method Summary
`void` | `addImport(String uri)`
`void` | `deleteRow(int row)`
`void` | `dispose()`
`Class` | `getColumnClass(int columnIndex)`
`int` | `getColumnCount()`
`String` | `getColumnName(int column)`
`NamespaceManager` | `getNamespaceManager()`
`int` | `getRowCount()`
`String` | `getURI(int row)`
`int` | `getURIRow(String uri)`
`Object` | `getValueAt(int rowIndex, int columnIndex)`

Methods inherited from class javax.swing.table.AbstractTableModel
`addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getListeners, getTableModelListeners, isCellEditable, removeTableModelListener, setValueAt`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COL_URI

    public static final int COL_URI

See Also:
  Constant Field Values

### COL_COUNT

    public static final int COL_COUNT

See Also:
  Constant Field Values

Constructor Detail

### ImportsTableModel

    public ImportsTableModel(OWLOntology ontology)

Method Detail

### addImport

    public void addImport(String uri)

### deleteRow

    public void deleteRow(int row)

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `edu.stanford.smi.protege.util.Disposable`

### getColumnClass

    public Class getColumnClass(int columnIndex)

  Specified by:
    `getColumnClass` in interface `TableModel`
  Overrides:
    `getColumnClass` in class `AbstractTableModel`

### getColumnCount

    public int getColumnCount()

  Specified by:
    `getColumnCount` in interface `TableModel`

### getColumnName

    public String getColumnName(int column)

  Specified by:
    `getColumnName` in interface `TableModel`
  Overrides:
    `getColumnName` in class `AbstractTableModel`

### getNamespaceManager

    public NamespaceManager getNamespaceManager()

### getRowCount

    public int getRowCount()

  Specified by:
    `getRowCount` in interface `TableModel`

### getURI

    public String getURI(int row)

### getURIRow

    public int getURIRow(String uri)

### getValueAt

    public Object getValueAt(int rowIndex,
                             int columnIndex)

  Specified by:
    `getValueAt` in interface `TableModel`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.